<?php
defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_spacer package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_spacer
 */

 ?>
<div class="ab-spacer" >
    <?php 
    if (!$show_line && !$show_picture && !$show_note) {
        echo '<div class="line" style="height: ' . $height . 'px;"></div>';
    }
    if ($show_line) {
        echo '<div class="line" style="border-bottom: ' . $size . 'px ' . $style . ' ' . $color . '; padding-top: ' . round($height / 2) . 'px;"></div>';
        echo '<div class="line" style="padding-bottom: ' . round($height / 2) . 'px;"></div>';
    }
    if ($show_picture) {
        if (is_object($pic)) {
            echo '<img src="' . $pic->getVersion()->getRelativePath() . '" style="height: ' . $height . 'px;" />';
        }
        else {
            echo '<img src="" style="height: ' . $height . 'px;" />';
        }
    }
    if ($show_note) {
        echo '<div id="block_note" class="alert alert-info" role="alert" style="height: ' . $height . 'px;">';
        echo '<p>' . $note . '</p>';
        echo '</div>';
    }
    ?>
</div>
